Name:           OpenEXR_CTL
Version:        1.0.1
Release:        1%{?dist}
Summary:        A simplified OpenEXR interface to CTL

Group:          System Environment/Libraries
License:        AMPAS BSD
URL:            http://sourceforge.net/projects/ampasctl/
Source0:        http://downloads.sourceforge.net/ampasctl/openexr_ctl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  libtool
BuildRequires:  CTL-devel
BuildRequires:  OpenEXR-devel


%description
IlmImfCtl provides a simplified OpenEXR interface to CTL

exrdpx is an initial version of a CTL-driven file converter
that translates DPX files into OpenEXR files and vice versa.
The conversion between the DPX and OpenEXR color spaces is
handled by CTL transforms.

exr_ctl_exr is an initial version of a program that can bake
the effect of a series of CTL transforms into the pixels of
an OpenEXR file.


%package        libs
Summary:        Library for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains library for %{name}.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       OpenEXR-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%setup -q -n openexr_ctl-%{version}
# Needed to disable rpath from configure
#autoreconf

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/exr_ctl_exr
%{_bindir}/exrdpx

%files libs
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libIlmImfCtl.so.*
%{_libdir}/CTL/*.ctl

%files devel
%defattr(-,root,root,-)
%{_includedir}/OpenEXR/ImfCtlApplyTransforms.h
%{_libdir}/libIlmImfCtl.so
%{_libdir}/pkgconfig/OpenEXR_CTL.pc


%changelog
* Mon Nov 26 2007 kwizart < kwizart at gmail.com > - 1.0.1-1
- Initial package for Fedora

